AbstractGriffonApplication (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractGriffonApplication

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractObservable
          org.codehaus.griffon.runtime.core.AbstractGriffonApplication

All Implemented Interfaces:
  GriffonApplication

    public abstract class AbstractGriffonApplication
    extends AbstractObservable

Implements the basics for a skeleton GriffonApplication.

Authors:
  Danno Ferrin
  Andres Almiray

Field Summary
`static String[]` | `EMPTY_ARGS`
`private AddonManager` | `addonManager`
`private ArtifactManager` | `artifactManager`
`private Binding` | `bindings`
`private ConfigObject` | `builderConfig`
`private ConfigObject` | `config`
`private EventRouter` | `eventRouter`
`private Object` | `eventsConfig`
`private Locale` | `locale`
`protected Object` | `lock`
`private org.slf4j.Logger` | `log`
`private MVCGroupManager` | `mvcGroupManager`
`private ApplicationPhase` | `phase`
`private ResourceLocator` | `resourceLocator`
`private ServiceManager` | `serviceManager`
`private List` | `shutdownHandlers`
`private Object` | `shutdownLock`
`private String[]` | `startupArgs`

Fields inherited from class AbstractObservable
pcs

Constructor Summary
`AbstractGriffonApplication()`
`AbstractGriffonApplication(String[] args)`

Method Summary
`void` | `addApplicationEventListener(Object listener)`
`void` | `addApplicationEventListener(String eventName, Closure listener)`
`void` | `addApplicationEventListener(String eventName, RunnableWithArgs listener)`
`void` | `addShutdownHandler(ShutdownHandler handler)`
`MVCGroup` | `buildMVCGroup(String mvcType)`
`MVCGroup` | `buildMVCGroup(String mvcType, String mvcName)`
`MVCGroup` | `buildMVCGroup(Map args, String mvcType)`
`MVCGroup` | `buildMVCGroup(String mvcType, Map args)`
`MVCGroup` | `buildMVCGroup(Map args, String mvcType, String mvcName)`
`MVCGroup` | `buildMVCGroup(String mvcType, String mvcName, Map args)`
`boolean` | `canShutdown()`
`Object` | `createApplicationContainer()`
`List` | `createMVCGroup(String mvcType)`
`List` | `createMVCGroup(Map args, String mvcType)`
`List` | `createMVCGroup(String mvcType, Map args)`
`List` | `createMVCGroup(String mvcType, String mvcName)`
`List` | `createMVCGroup(Map args, String mvcType, String mvcName)`
`List` | `createMVCGroup(String mvcType, String mvcName, Map args)`
`void` | `destroyMVCGroup(String mvcName)`
`void` | `event(String eventName)`
`void` | `event(String eventName, List params)`
`void` | `eventAsync(String eventName)`
`void` | `eventAsync(String eventName, List params)`
`void` | `eventOutside(String eventName)`
`void` | `eventOutside(String eventName, List params)`
`void` | `eventOutsideUI(String eventName)`
`void` | `eventOutsideUI(String eventName, List params)`
`void` | `execAsync(Runnable runnable)`
`Future` | `execFuture(ExecutorService executorService, Closure closure)`
`Future` | `execFuture(Closure closure)`
`Future` | `execFuture(ExecutorService executorService, Callable callable)`
`Future` | `execFuture(Callable callable)`
`void` | `execInsideUIAsync(Runnable runnable)`
`void` | `execInsideUISync(Runnable runnable)`
`void` | `execOutside(Runnable runnable)`
`void` | `execOutsideUI(Runnable runnable)`
`void` | `execSync(Runnable runnable)`
`AddonManager` | `getAddonManager()`
`Class` | `getAppConfigClass()`
`ArtifactManager` | `getArtifactManager()`
`Binding` | `getBindings()`
`Class` | `getBuilderClass()`
`ConfigObject` | `getBuilderConfig()`
`Map` | `getBuilders()`
`ConfigObject` | `getConfig()`
`Class` | `getConfigClass()`
`Map` | `getControllers()`
`Class` | `getEventsClass()`
`Object` | `getEventsConfig()`
`Map` | `getGroups()`
`Locale` | `getLocale()`
`org.slf4j.Logger` | `getLog()`
`Metadata` | `getMetadata()`
`Map` | `getModels()`
`MVCGroupManager` | `getMvcGroupManager()`
`ApplicationPhase` | `getPhase()`
`InputStream` | `getResourceAsStream(String name)`
`URL` | `getResourceAsURL(String name)`
`List` | `getResources(String name)`
`ServiceManager` | `getServiceManager()`
`Map` | `getServices()`
`String[]` | `getStartupArgs()`
`Map` | `getViews()`
`void` | `initialize()`
`boolean` | `isEventPublishingEnabled()`
`boolean` | `isUIThread()`
`private Class` | `loadClass(String className)`
`Object` | `newInstance(Class clazz, String type)`
`void` | `ready()`
`void` | `removeApplicationEventListener(Object listener)`
`void` | `removeApplicationEventListener(String eventName, Closure listener)`
`void` | `removeApplicationEventListener(String eventName, RunnableWithArgs listener)`
`void` | `removeShutdownHandler(ShutdownHandler handler)`
`void` | `setAddonManager(AddonManager addonManager)`
`void` | `setArtifactManager(ArtifactManager artifactManager)`
`void` | `setBindings(Binding bindings)`
`void` | `setBuilderConfig(ConfigObject builderConfig)`
`void` | `setConfig(ConfigObject config)`
`void` | `setEventPublishingEnabled(boolean enabled)`
`void` | `setEventsConfig(Object eventsConfig)`
`void` | `setLocale(Locale locale)`
`void` | `setMvcGroupManager(MVCGroupManager mvcGroupManager)`
`protected void` | `setPhase(ApplicationPhase phase)`
`void` | `setServiceManager(ServiceManager serviceManager)`
`boolean` | `shutdown()`
`void` | `startup()`
`void` | `withMVCGroup(String mvcType, Closure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Closure handler)`
`void` | `withMVCGroup(String mvcType, Map args, Closure handler)`
`void` | `withMVCGroup(Map args, String mvcType, Closure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Map args, Closure handler)`
`void` | `withMVCGroup(Map args, String mvcType, String mvcName, Closure handler)`
`void` | `withMVCGroup(String mvcType, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, Map args, MVCClosure handler)`
`void` | `withMVCGroup(Map args, String mvcType, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Map args, MVCClosure handler)`
`void` | `withMVCGroup(Map args, String mvcType, String mvcName, MVCClosure handler)`

Methods inherited from class AbstractObservable
addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, getPropertyChangeListeners, getPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### EMPTY_ARGS

    public static final String[] EMPTY_ARGS

### addonManager

    private AddonManager addonManager

### artifactManager

    private ArtifactManager artifactManager

### bindings

    private Binding bindings

### builderConfig

    private ConfigObject builderConfig

### config

    private ConfigObject config

### eventRouter

    private final EventRouter eventRouter

### eventsConfig

    private Object eventsConfig

### locale

    private Locale locale

### lock

    protected final Object lock

### log

    private final org.slf4j.Logger log

### mvcGroupManager

    private MVCGroupManager mvcGroupManager

### phase

    private ApplicationPhase phase

### resourceLocator

    private final ResourceLocator resourceLocator

### serviceManager

    private ServiceManager serviceManager

### shutdownHandlers

    private final List shutdownHandlers

### shutdownLock

    private final Object shutdownLock

### startupArgs

    private final String[] startupArgs

Constructor Detail

### AbstractGriffonApplication

    public AbstractGriffonApplication()

### AbstractGriffonApplication

    public AbstractGriffonApplication(String[] args)

Method Detail

### addApplicationEventListener

    public void addApplicationEventListener(Object listener)

### addApplicationEventListener

    public void addApplicationEventListener(String eventName, Closure listener)

### addApplicationEventListener

    public void addApplicationEventListener(String eventName, RunnableWithArgs listener)

### addShutdownHandler

    public void addShutdownHandler(ShutdownHandler handler)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, String mvcName)

### buildMVCGroup

    public MVCGroup buildMVCGroup(Map args, String mvcType)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, Map args)

### buildMVCGroup

    public MVCGroup buildMVCGroup(Map args, String mvcType, String mvcName)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, String mvcName, Map args)

### canShutdown

    public boolean canShutdown()

### createApplicationContainer

    public Object createApplicationContainer()

### createMVCGroup

    public List createMVCGroup(String mvcType)

### createMVCGroup

    public List createMVCGroup(Map args, String mvcType)

### createMVCGroup

    public List createMVCGroup(String mvcType, Map args)

### createMVCGroup

    public List createMVCGroup(String mvcType, String mvcName)

### createMVCGroup

    public List createMVCGroup(Map args, String mvcType, String mvcName)

### createMVCGroup

    public List createMVCGroup(String mvcType, String mvcName, Map args)

### destroyMVCGroup

    public void destroyMVCGroup(String mvcName)

### event

    public void event(String eventName)

### event

    public void event(String eventName, List params)

### eventAsync

    public void eventAsync(String eventName)

### eventAsync

    public void eventAsync(String eventName, List params)

### eventOutside

    public void eventOutside(String eventName)

### eventOutside

    public void eventOutside(String eventName, List params)

### eventOutsideUI

    public void eventOutsideUI(String eventName)

### eventOutsideUI

    public void eventOutsideUI(String eventName, List params)

### execAsync

    public void execAsync(Runnable runnable)

### execFuture

    public Future execFuture(ExecutorService executorService, Closure closure)

### execFuture

    public Future execFuture(Closure closure)

### execFuture

    public Future execFuture(ExecutorService executorService, Callable callable)

### execFuture

    public Future execFuture(Callable callable)

### execInsideUIAsync

    public void execInsideUIAsync(Runnable runnable)

### execInsideUISync

    public void execInsideUISync(Runnable runnable)

### execOutside

    public void execOutside(Runnable runnable)

### execOutsideUI

    public void execOutsideUI(Runnable runnable)

### execSync

    public void execSync(Runnable runnable)

### getAddonManager

    public AddonManager getAddonManager()

### getAppConfigClass

    public Class getAppConfigClass()

### getArtifactManager

    public ArtifactManager getArtifactManager()

### getBindings

    public Binding getBindings()

### getBuilderClass

    public Class getBuilderClass()

### getBuilderConfig

    public ConfigObject getBuilderConfig()

### getBuilders

    public Map getBuilders()

### getConfig

    public ConfigObject getConfig()

### getConfigClass

    public Class getConfigClass()

### getControllers

    public Map getControllers()

### getEventsClass

    public Class getEventsClass()

### getEventsConfig

    public Object getEventsConfig()

### getGroups

    public Map getGroups()

### getLocale

    public Locale getLocale()

### getLog

    public org.slf4j.Logger getLog()

### getMetadata

    public Metadata getMetadata()

### getModels

    public Map getModels()

### getMvcGroupManager

    public MVCGroupManager getMvcGroupManager()

### getPhase

    public ApplicationPhase getPhase()

### getResourceAsStream

    public InputStream getResourceAsStream(String name)

### getResourceAsURL

    public URL getResourceAsURL(String name)

### getResources

    public List getResources(String name)

### getServiceManager

    public ServiceManager getServiceManager()

### getServices

    public Map getServices()

### getStartupArgs

    public String[] getStartupArgs()

### getViews

    public Map getViews()

### initialize

    public void initialize()

### isEventPublishingEnabled

    public boolean isEventPublishingEnabled()

### isUIThread

    public boolean isUIThread()

### loadClass

    private Class loadClass(String className)

### newInstance

    public Object newInstance(Class clazz, String type)

### ready

    public void ready()

### removeApplicationEventListener

    public void removeApplicationEventListener(Object listener)

### removeApplicationEventListener

    public void removeApplicationEventListener(String eventName, Closure listener)

### removeApplicationEventListener

    public void removeApplicationEventListener(String eventName, RunnableWithArgs listener)

### removeShutdownHandler

    public void removeShutdownHandler(ShutdownHandler handler)

### setAddonManager

    public void setAddonManager(AddonManager addonManager)

### setArtifactManager

    public void setArtifactManager(ArtifactManager artifactManager)

### setBindings

    public void setBindings(Binding bindings)

### setBuilderConfig

    public void setBuilderConfig(ConfigObject builderConfig)

### setConfig

    public void setConfig(ConfigObject config)

### setEventPublishingEnabled

    public void setEventPublishingEnabled(boolean enabled)

### setEventsConfig

    public void setEventsConfig(Object eventsConfig)

### setLocale

    public void setLocale(Locale locale)

### setMvcGroupManager

    public void setMvcGroupManager(MVCGroupManager mvcGroupManager)

### setPhase

    protected void setPhase(ApplicationPhase phase)

### setServiceManager

    public void setServiceManager(ServiceManager serviceManager)

### shutdown

    public boolean shutdown()

### startup

    public void startup()

### withMVCGroup

    public void withMVCGroup(String mvcType, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, Map args, Closure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Map args, Closure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, String mvcName, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, Map args, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Map args, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, String mvcName, MVCClosure handler)

Groovy Documentation